/*start global rules*/
:root{
--main-color:#10cab7;
--secondary-color:#2c4755;
}
*{
    box-sizing: border-box;
   
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: "Work Sans",sans-serif;
   background-color: #333; 

}


.container{
    padding-left: 15px;/*مشان اذا فتحتا بحجم شاشة الجوال ماتروح الكلام عل يسار*/
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
   
   
       
}
/* you need not to use the width becous @media make the container keep the element */
/*small  start 768 */
@media(min-width:768px){
    .container{
        width:750px;
    }
}
/*medium  start 992*/
@media(min-width:992px){
    .container{
        width:970px;
    }
}
 /* large start 1200px*/
@media(min-width:1200px){
    .container{
        width:1170px;
    }
}
/*end global rules*/
/*strat components*/
.spacial-heading{
    color:#dce5ec17;
    font-size: 90px;
    text-align:center;
    font-weight:800;
    letter-spacing: -3px;
    margin: 0;
}
.spacial-heading + p{
    margin:  -30px 0 0;
    font-size:20px;
    color: #79797979;
    text-align: center;
}

@media(max-width:767px){
    .spacial-heading{
        font-size: 60px;
    }
    .spacial-heading + p{
        margin-top: -20px;
    }
}

/* end-components*/
/*start header*/
header{
    padding: 20px;
}
.header  .container{
display: flex;
justify-content:space-between ;
align-items:center;
}
.header .logo{
    width:100px;
border-radius:50%;
    

}
.header .links ul {
    display: flex;
justify-content: space-between;
}
.header .links ul li{
    padding: 10px;
    list-style: none;
    width: 30%;
}
.header .links ul li a{
    color: white;
    text-decoration: none;
    font-weight: bolder;
    font-size: 20px;
    font-family: cursive;
}

@media(max-width:1400px){
    .header .links .icon{
        display: none;
    }
}
@media(max-width:769px){
    .header .links{
        position: relative;
    }
    .header .links:hover .icon span:nth-child(2){
    width:100%;
    }
    .header .links .icon{
        width:30px;
        display: flex;
        flex-wrap: wrap;/*مشان العناصر وقت تملا الشاشة يجو تحت بعض*/
        justify-content: flex-end;
    }
    .header .links .icon span{
    background-color:rgb(255, 246, 246);
    margin-bottom:5px ;
    height: 2px;
    }
    .header .links .icon span:first-child{
    
    width: 100%;
    }
    .header .links .icon span:nth-child(2){
        
        width: 60%;
        transition:.3s;
    }
    .header .links .icon span:last-child{
        
        width: 100%;
    }


.header .links ul{
    list-style: none;
    margin: 0;
    padding: 0;
    background-color:#d1d6ec;
    position: absolute;
    right: 0;
    min-width: 200px;
    top:calc(100% + 15px);
    display: none;
    z-index:1 ;
    border-radius: 12px;
}
/*هاد الكود مشان اعمل سهم صغير*/
.header .links ul::before{
    content: "";
    border-width: 10px;
    border-style: solid;
    border-color:  transparent transparent #0f0f0f transparent;
    position: absolute;
    right: 5px;
    top: -20px;
}   
.header .links:hover ul{
display: block;
}
.header .links ul li a{
    
    display: block;
    padding: 15px;
    text-decoration: none;
    color:rgb(3, 0, 0) ;
    transition: 0.3s;
}
.header .links ul li a:hover{
    padding-left :25px ;
}
.header .links ul li:not(:last-child)a{
    border-bottom: 1px solid #dddd;
}
}
/*end header*/
/*start landing*/
.landing{
    background-image: url(../image/land.jpg) ;
    background-size: cover;
    height:calc(100vh - 64px);
    position: relative;

}
.landing .intro-text{
position: absolute;
left: 50%;
top:50% ;
transform: translate(-50%,  -50%);
text-align: center;
width: 450px;/*مشان عنصر لبي ما يتمدد*/
max-width: 100%;
}
.landing .intro-text h1{
    margin: 0;
    font-weight: bold;
    font-size:60px;
    color:rgb(0, 0, 0);
    font-family: cursive;
    padding-bottom: 70px;
    
}
.landing .intro-text p{
    font-size: 20px;
    line-height:1.8;
    color: rgb(239, 227, 8);
    
}



/*end landing*/
/*start features*/
.features{
    padding-top: 60px;
    padding-bottom:60px;
    background-color: rgb(12 10 10 / 28%)

}
.features .container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap:20px;
}
.features .feat{
    padding: 20px;
    text-align: center;
}
.features .feat i{
    color:rgb(36, 198, 215);
   box-shadow:  -3px -6px 17px 20px #03a9f46b;
    background-color: #2196f387;
    border-radius: 50%;
}
.features .feat h3{
font-weight: 800;
margin: 30px 0;
color: #00bcd4d1;
}
.features .feat p{
line-height: 1.8;
color: rgb(255, 255, 255);
font-size: 17px;
}

/*end features*/
/*start services*/
.services{
padding-top: 60px;
padding-bottom: 60px;
}
.services .services-content{
    display: grid;
    grid-template-columns:repeat(auto-fill, minmax(300px,1fr)) ;
    margin-top: 100px;
    grid-gap:20px;
}
.services .services-content .srv{
    display: flex;
    margin-bottom: 40px;
}
@media (max-width:767px){
    .services .services-content .srv{
        flex-direction: column;
        text-align: center;
    }
}
.services .services-content .srv i{
    color: #080707;
    flex-basis: 60px;

}
.services .services-content .srv .tex{
    flex: 1;
}
.services .services-content .srv .tex h3{
    margin: 0 0 20px;
    color: #e1a5dc;
    font-family: fantasy;
    font-weight: lighter;
    font-size: 20px;
}
.services .services-content .srv .tex p{
    color: whitesmoke;
    font-weight: 300;
    line-height: 1.6;
}
.services .services-content .image{
    text-align: center;
    position: relative;

}
.services .services-content .image::before{
    content: '';
    position: absolute;
    right: 0;
    color: var(--secondary-color);
    background-color: #ffffffba;
    width: 100px;
    height:calc(120%);
    top: -30px;
    position: absolute;
    z-index: -1;

}
.services .services-content .image img{
    width:300px;
    
}
@media (max-width:1199px){
    .image-colum{
        display: none;
    }
}
/*end services*/
/*start portfolio*/
.portfolio{
    padding-top: 60px;
padding-bottom: 60px;
background-color: #333;
}
.portfolio .portfolio-content{
    display: grid;
    grid-template-columns:repeat(auto-fill, minmax(300px,1fr)) ;
    grid-gap:30px;
    margin-top: 80px;
}
.portfolio .portfolio-content .card{
    background-color: #9e9e9e3b;;

    
}
.portfolio .portfolio-content .card img{
    max-width: 100%;
}
.portfolio .portfolio-content .card .info{
    padding: 20px;
}
.portfolio .portfolio-content .card .info h3{
margin: 0;
color: rgb(1, 0, 0);
}
.portfolio .portfolio-content .card .info p{
color: #9e9e9e;
line-height: 1.6;
margin-bottom: 0;
}
.portfolio .portfolio-content .card:hover{
    background-color: white;
    cursor: pointer;
}


/*end portfolio*/
/*start about*/
.about{
    padding-top:60px ;
    padding-bottom:calc(60px + 60px);
}
.about-content{
    margin-top: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

}
@media(max-width:991px)
{
    .about .about-content{
    flex-direction: column;
    text-align: center;
    }
}

.about-content .image {
position: relative;
width: 225px;
height: 225px;
}
@media(max-width:991px){
    .about-content .image{
        margin:0 auto 80px;

    }
}
.about-content .image::before{
content: '';
position: absolute;
background-color: rgb(158 158 158 / 34%);
width: 100px;
height:calc(100% + 50px);
top:-25px ;
left: -20px;
z-index: -1;
}
.about-content .image::after{
    top: -40px;
content: '';
position: absolute;
width:120px;
height: 200px;
border-left: 80px solid #808f9b;
border-bottom: 80px solid #09161c;
z-index: -1;
right: -150px;
}
@media(max-width:991px)
{
    .about-content .image::before,
    .about-content .image::after
    {
   display: none;
    }
}
.about-content .text{
    flex-basis: calc(100% - 500px);
}
.about-content .text p:first-of-type{
    font-weight: bold;
    line-height: 2;
    margin-bottom: 50px;
    color: rgb(211, 201, 183);
}
.about-content .text hr{
width:50%;
 
}
.about-content .text p:last-of-type{
 color:rgba(78, 235, 252, 0.624);
}

/*end about*/
/*start contact*/
.contact{
    padding-top: 60px;
    padding-bottom:60px;
    background-color: rgb(12 10 10 / 28%);
}
.contact .info{
    padding-top: 60px;
    padding-bottom:60px;
    text-align: center;
}
.contact .info .lable{
    font-size: 30px;
    font-weight:800 ;
    color: var(--secondary-color);
    letter-spacing: -2px;

    margin-bottom: 15px;
}
.contact .info .link{
    display:block;
    font-size: 30px;
    font-weight: 800;
    color: #225772;
    text-decoration: none;
}
.contact .info .social{
    display: flex;
    justify-content: center;
    margin-top: 20px;
    font-size: 16px;
}
.contact .info i{
    margin-left: 10px;
    color: #000000;
}
@media(max-width:767px){
    .contact .info .link,
    .contact .info .link{
        font-size: 25px;
    }
}



/*end contact*/
/*start footer*/
.footer{
    background-color: #193644;
    color: white;
    padding: 30px 10px;
    text-align:center;
    font-size: 18px;
}
.footer span{
    font-weight: bold;
    color: var(--main-color);
}
/*end footer*/